# Enum Class SVGUnits

java.lang.Object
java.lang.Enum<SVGUnits>
org.jfree.svg.SVGUnits

All Implemented Interfaces:
  `Serializable, Comparable<SVGUnits>, Constable`

public enum SVGUnits extends Enum<SVGUnits>
An enumeration of the values for SVG units.

Since:
  3.2

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CM`
Centimeters.
`EM`
The font size.
`EX`
Height of character 'x'.
`IN`
Inches.
`MM`
Millimeters.
`PC`
Picas (1/6 inch).
`PT`
Points (1/72 inch).
`PX`
Pixels in user space coordinates.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static SVGUnits`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SVGUnits[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### EM

public static final SVGUnits EM
The font size.

### EX

public static final SVGUnits EX
Height of character 'x'.

### PX

public static final SVGUnits PX
Pixels in user space coordinates.

### PT

public static final SVGUnits PT
Points (1/72 inch).

### PC

public static final SVGUnits PC
Picas (1/6 inch).

### CM

public static final SVGUnits CM
Centimeters.

### MM

public static final SVGUnits MM
Millimeters.

### IN

public static final SVGUnits IN
Inches.

## Method Details

### values

public static SVGUnits[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SVGUnits valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<SVGUnits>`